# GimpUi.Preview

    const GimpUi = imports.gi.GimpUi;

    let preview = new GimpUi.Preview({
        update: value,
    });

A widget providing a GimpUi.PreviewArea plus framework to update the preview.

## Hierarchy

- GObject.Object
  - GObject.InitiallyUnowned
    - Gtk.Widget
      - Gtk.Container
        - Gtk.Box
          - GimpUi.Preview

## Methods

- GimpUi.Preview.prototype.draw
- GimpUi.Preview.prototype.draw_buffer
- GimpUi.Preview.prototype.get_area
- GimpUi.Preview.prototype.get_bounds
- GimpUi.Preview.prototype.get_controls
- GimpUi.Preview.prototype.get_default_cursor
- GimpUi.Preview.prototype.get_frame
- GimpUi.Preview.prototype.get_grid
- GimpUi.Preview.prototype.get_offsets
- GimpUi.Preview.prototype.get_position
- GimpUi.Preview.prototype.get_size
- GimpUi.Preview.prototype.get_update
- GimpUi.Preview.prototype.invalidate
- GimpUi.Preview.prototype.set_bounds
- GimpUi.Preview.prototype.set_default_cursor
- GimpUi.Preview.prototype.set_offsets
- GimpUi.Preview.prototype.set_size
- GimpUi.Preview.prototype.set_update
- GimpUi.Preview.prototype.transform
- GimpUi.Preview.prototype.untransform

## Properties

- update

## Signals

- invalidated

## Virtual functions

- GimpUi.Preview::draw
- GimpUi.Preview::draw_buffer
- GimpUi.Preview::draw_thumb
- GimpUi.Preview::set_cursor
- GimpUi.Preview::transform
- GimpUi.Preview::untransform